For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task dependencies for a specific project.
      • POSTCreates a new task dependency.
      • DELDeletes a task dependency.
      • GETReturns all task dependencies for a specific task.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Dependencies

Returns all task dependencies for a specific project.

GET
https://api.awork.com/api/v1/projects/:projectId/taskdependencies
GET
/api/v1/projects/:projectId/taskdependencies
$curl https://api.awork.com/api/v1/projects/projectId/taskdependencies \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "predecessorId": "123e4567-e89b-12d3-a456-426614174000",
4 "successorId": "123e4567-e89b-12d3-a456-426614174000",
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "createdOn": "2021-03-22T13:00:00Z",
7 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
8 "updatedOn": "2021-03-22T18:00:00Z",
9 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
10 }
11]
<Check title="Required Permissions" icon="key">To get all dependencies of a project, the user needs project planning permissions on that project.</Check>
Was this page helpful?
Previous

Creates a new task dependency.

Next
Built with
Required Permissions
To get all dependencies of a project, the user needs project planning permissions on that project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Response

OK
predecessorIdstringformat: "uuid"
The Id of the predecessor. A task can have multiple predecessors through multiple dependency relationships.
successorIdstringformat: "uuid"
The Id of the successor. A task can have multiple successors through multiple dependency relationships.
idstringformat: "uuid"
The id of the task dependency.
createdOnstringformat: "date-time"
The date this task dependency was created.
createdBystringformat: "uuid"
The id of the user who created this task dependency.
updatedOnstringformat: "date-time"
The date this task dependenc was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task dependency.

Errors

404
Not Found Error